C******************** START FILE UFDKEY.FOR ; GROUP UFILS0 ******************
C----------------------------------------------------------
C  UFDKEY
C  DELETE KEYWORD ENTRY INDICATED BY ARGUMENT KNDEX FROM KEYWORD
C  LIST.  I.E. USE INTEGER FCN IUFKEY (ABOVE) FIRST TO LOCATE
C  KEYWORD AND THEN CALL THIS ROUTINE
C
C  THE ENTRY IS DELETED FROM THE LIST AND THE LIST LENGTH (NSC)
C  IS DECREMENTED
C
C  NO ERROR MESSAGES
C
      SUBROUTINE UFDKEY(KNDEX,ZSCLIS,ZSCVAL,NSIZ,NSC)
C
      CHARACTER*30 ZSCLIS(NSIZ)
      REAL ZSCVAL(NSIZ)
C
      IF(NSC.LT.KNDEX) RETURN
      IF(KNDEX.LE.0) RETURN
C
      DO 10 I=KNDEX+1,NSC
        IM1=I-1
        ZSCVAL(IM1)=ZSCVAL(I)
        ZSCLIS(IM1)=ZSCLIS(I)
 10   CONTINUE
C
      NSC=NSC-1
      RETURN
      END
C******************** END FILE UFDKEY.FOR ; GROUP UFILS0 ******************
